/* R. Harmsen, December 2023
   First completely working version 15 December 2023.
 */

#ifndef RHMIDIBENDBUF_H
#define RHMIDIBENDBUF_H

#include <stdio.h>
#include "rhmusicfuncs.h"
#include "rhmidifuncs.h"
#include "rhmusicadhoc.h"

void AdhocRefillBendBuf (FILE *fpi, char *ProgPath, char *MidiFilename,
   struct rhmidi_eventdata **EvtdatTracks, int NumTracks,
   int TicksPerQuarter, int verbose);

void AdhocInitBuffer (void);
void AdhocFillChordArray (int verbose);
void AdhocRunAdhocAlgorithm (int verbose);
void AdhocInitliseBendTrack (FILE *fpo, long WhereNumTracks, int NumTracks);
void AdhocFinaliseBendTrack (FILE *fpo);
int  AdhocWriteBendEvents (FILE *fpo);

#endif
